summaryrefslogtreecommitdiff
path: root/standalone/windows/build.sh
diff options
context:
space:
mode:
authorGravatar Joey Hess <joeyh@joeyh.name>2015-09-10 18:43:31 -0400
committerGravatar Joey Hess <joeyh@joeyh.name>2015-09-10 19:16:30 -0400
commit624e2ec84e537a20301a0fda6ceb4151a5ec61e4 (patch)
treec456d3d259b037987b4689a71eb0044a17e0f28c /standalone/windows/build.sh
parent09fbe113717531a7bb5806dcf42bb833f14a0e59 (diff)
Switched to using git for Windows, rather than msysgit.
Using msysgit with git-annex is no longer supported. At the same time, I'm updating the rsync.exe in my downloads repository with the one from msys2. Note that rsync is currently still being ldded and installed in Git/cmd/ like the other cygwin programs. The ldd fails and this failure is ignored. It would be better to special case it to go in Git/usr/bin/, so that the user can't run rsync in a dos prompt window, which doesn't work, as it needs additional libs. However, as far as git-annex running rsync running ssh, it works ok in this location. Removed the ssh.cmd and ssh-keygen.cmd; these are not needed with git for windows. Keeping them would let ssh be run manually from a dos prompt window, but that's not really a goal.
Diffstat (limited to 'standalone/windows/build.sh')
-rwxr-xr-xstandalone/windows/build.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/standalone/windows/build.sh b/standalone/windows/build.sh
index 8c26874b2..86b28847c 100755
--- a/standalone/windows/build.sh
+++ b/standalone/windows/build.sh
@@ -63,8 +63,11 @@ cabal install nsis
ghc -fforce-recomp --make Build/NullSoftInstaller.hs -fno-warn-tabs
# Want to include cygwin programs in bundle, not others, since
# it includes the cygwin libs that go with them.
-# Currently need an older version of rsync than the one from cygwin.
-if [ ! -e rsync.exe ]; then
+# Currently need an different version of rsync than the one from cygwin.
+# This rsync build originally comes from https://msys2.github.io/,
+# and it works with the ssh bundled with git for windows.
+if [ ! -e rsync.exe ] || [ "$(sha1sum rsync.exe)" != "85cb7a4d16d274fcf8069b39042965ad26abd6aa" ]; then
+ rm -f rsync.exe || true
withcyg wget https://downloads.kitenet.net/git-annex/windows/assets/rsync.exe
withcyg chmod +x rsync.exe
fi